# Interface IAuthenticationService

interface IAuthenticationService {
events$: Observable<AuthenticationEvent>;
isAuthenticated$: Observable<null | boolean>;
isAuthenticated(): Promise<boolean>;
signOut(): Promise<void>;
}

#### Implemented by

- DisabledAuthenticationService
- RxapAuthenticationService

- Defined in lib/authentication.service.ts:12

#####
Index

### Properties

events$
isAuthenticated$

### Methods

isAuthenticated
signOut

## Properties

### events$

events$: Observable<AuthenticationEvent>

- Defined in lib/authentication.service.ts:14

### isAuthenticated$

isAuthenticated$: Observable<null | boolean>

- Defined in lib/authentication.service.ts:13

## Methods

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  - Defined in lib/authentication.service.ts:17

### signOut

- signOut(): Promise<void>

- #### Returns Promise<void>

  - Defined in lib/authentication.service.ts:15